ch.qos.logback.core.joran.action

## Class ParamAction

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.joran.action.Action
    - - ch.qos.logback.core.joran.action.ParamAction

All Implemented Interfaces:
  ContextAware

    public class ParamAction
    extends Action

### Field Summary

### Fields inherited from class ch.qos.logback.core.joran.action.Action

`ACTION_CLASS_ATTRIBUTE, CLASS_ATTRIBUTE, FILE_ATTRIBUTE, KEY_ATTRIBUTE, NAME_ATTRIBUTE, PATTERN_ATTRIBUTE, SCOPE_ATTRIBUTE, VALUE_ATTRIBUTE`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`ParamAction(BeanDescriptionCache beanDescriptionCache)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `begin(InterpretationContext ec, String localName, Attributes attributes)` Called when the parser encounters an element matching a `Pattern`.
`void` `end(InterpretationContext ec, String localName)`
`void` `finish(InterpretationContext ec)`

### Methods inherited from class ch.qos.logback.core.joran.action.Action

`body, getColumnNumber, getLineColStr, getLineNumber, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParamAction

    public ParamAction(BeanDescriptionCache beanDescriptionCache)

### Method Detail

#### begin

    public void begin(InterpretationContext ec,
                      String localName,
                      Attributes attributes)

Description copied from class: `Action`
Called when the parser encounters an element matching a `Pattern`.

Specified by:
  `begin` in class `Action`

#### end

    public void end(InterpretationContext ec,
                    String localName)

Specified by:
  `end` in class `Action`

#### finish

    public void finish(InterpretationContext ec)